//
//  SettingsViewController.h
//  Fast Draft
//
//  Created by Anton on 11.03.13.
//  Copyright (c) 2013 Geometros Company. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "PreviewView.h"

@interface SettingsViewController : UIViewController
@property (weak, nonatomic) IBOutlet PreviewView *preview;
@property (weak, nonatomic) IBOutlet UISegmentedControl *firstFontBlock;
@property (weak, nonatomic) IBOutlet UISegmentedControl *secondFontBlock;
@property (weak, nonatomic) IBOutlet UISegmentedControl *LineWidthControl;
@property (weak, nonatomic) IBOutlet UISegmentedControl *LineStyleControl;
@property (weak, nonatomic) IBOutlet UISlider *FontSizeSlider;
@property (weak, nonatomic) IBOutlet UISlider *FontAngleSlider;

- (IBAction)closeSettings:(id)sender;
- (IBAction)FontSizeChange:(id)sender;
- (IBAction)FontAngleChange:(id)sender;
- (IBAction)firstBlockFontChange:(id)sender;
- (IBAction)secondBlockFontChange:(id)sender;
- (IBAction)widthChange:(id)sender;
- (IBAction)styleChange:(id)sender;

@end
