//
//  ViewController.h
//  Fast Draft
//
//  Created by AR on 21.02.13.
//  Copyright (c) 2013 Geometros Company. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "REMenu.h"
#import "ToolsView.h"
#import "DraftView.h"
#import "CommonStructs.h"


@interface ViewController : UIViewController<ICommandsManager>

@property (weak, nonatomic) IBOutlet DraftView *mainView;
@property (weak, nonatomic) IBOutlet UIButton *toolBtn;

@property (weak, nonatomic) IBOutlet ToolsView *toolsbarView;
@property (strong, nonatomic) REMenu *menu;
- (IBAction)ToolBtnPress:(id)sender;
- (IBAction)ClearBtnPress:(id)sender;




//   Commands Manager

-(int)            getCommandsCount;
-(int)            getCurrentCommand;

-(id<ICommand>)   getCommand:(int)commInd;

-(void)               setSnapManager:(id<ISnapManager>)sm;
-(id<ISnapManager>)   getSnapManager;

-(void)               redrawViews;


@end
